# Generated from tamiyo-0.3.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name tamiyo

Name: rubygem-%{gem_name}
Version: 0.3.2
Release: 1%{?dist}
Summary: Import/manage Cockatrice's card database
License: MIT
URL: https://github.com/rogernorling/tamiyo#readme
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
A utility that import cards from Wizard's Gatherer. Allows for incremental
imports and selective export to Cockatrice's card database format.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/tamiyo
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENCE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/Readme.md
%{gem_instdir}/tamiyo.gemspec

%changelog
* Wed Aug 25 2021 mockbuilder - 0.3.2-1
- Initial package
